import { Buff } from '@cmdcode/buff-utils';
import { z } from 'zod';
export declare const Schema: {
    secret: z.ZodString;
    decoded: z.ZodEffects<z.ZodString, Buff, string>;
    token: z.ZodEffects<z.ZodString, Buff, string>;
    object: z.ZodObject<{}, "strip", z.ZodAny, {
        [x: string]: any;
    }, {
        [x: string]: any;
    }>;
    body: z.ZodNullable<z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodEffects<z.ZodObject<{}, "strip", z.ZodAny, {
        [x: string]: any;
    }, {
        [x: string]: any;
    }>, string, {
        [x: string]: any;
    }>]>>>;
};
//# sourceMappingURL=schema.d.ts.map