import { Buff } from '@cmdcode/buff-utils';
export type TokenString = string | null | undefined;
export interface TokenData {
    pubkey: Uint8Array;
    signature: Uint8Array;
}
export declare class Token {
    pubkey: Buff;
    signature: Buff;
    static check(encoded: TokenString): Promise<boolean>;
    static parse(encoded: TokenString): TokenData;
    static import(encoded: TokenString): Token;
    constructor(publicKey: string | Uint8Array, signature: string | Uint8Array);
    get encoded(): string;
    issuedBy(key: string): boolean;
}
//# sourceMappingURL=token.d.ts.map